org.apache.solr.client.solrj.cloud.autoscaling

## Class AutoScalingConfig.TriggerConfig

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.AutoScalingConfig.TriggerConfig

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject

Enclosing class:
  AutoScalingConfig

    public static class AutoScalingConfig.TriggerConfig
    extends Object
    implements MapWriter

Bean representation of trigger config.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`List<AutoScalingConfig.ActionConfig>` `actions` List of configured actions, never null.
`boolean` `enabled` Enabled flag.
`TriggerEventType` `event` Trigger event type.
`String` `name` Trigger name.
`Map<String,Object>` `properties` Map of additional trigger properties, never null.

### Constructor Summary

Constructors
Constructor and Description
`TriggerConfig(String name, Map<String,Object> properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`
`AutoScalingConfig.TriggerConfig` `withEnabled(boolean enabled)` Create a copy of this config with specified enabled flag.
`AutoScalingConfig.TriggerConfig` `withProperty(String key, Object value)` Create a copy of this config with specified property.
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Field Detail

#### name

    public final String name

Trigger name.

#### event

    public final TriggerEventType event

Trigger event type.

#### enabled

    public final boolean enabled

Enabled flag.

#### actions

    public final List<AutoScalingConfig.ActionConfig> actions

List of configured actions, never null.

#### properties

    public final Map<String,Object> properties

Map of additional trigger properties, never null.

### Constructor Detail

#### TriggerConfig

    public TriggerConfig(String name,
                         Map<String,Object> properties)

### Method Detail

#### withEnabled

    public AutoScalingConfig.TriggerConfig withEnabled(boolean enabled)

Create a copy of this config with specified enabled flag.

Parameters:
  `enabled` - true when enabled, false otherwise.
Returns:
  modified copy of the configuration

#### withProperty

    public AutoScalingConfig.TriggerConfig withProperty(String key,
                                                        Object value)

Create a copy of this config with specified property.

Parameters:
  `key` - property name
  `value` - property value
Returns:
  modified copy of the configuration

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`